cURL
curl --request GET \ --url https://api.embedreach.com/api/automations/{id}
{ "success": true, "message": "<string>", "data": { "id": "<string>", "name": "<string>", "description": "<string>", "createdAt": "<string>", "updatedAt": "<string>", "triggerMetadata": { "scheduledAt": "<string>", "timezone": "<string>" }, "actionData": [ { "actionMetadata": { "communicationGroupId": "<string>", "currentActionId": "<string>", "nextActionId": "<string>", "templateActionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "customBlockText": "<string>" } } ], "businessId": "<string>", "includeSegmentIds": [ "<string>" ], "excludeSegmentIds": [ "<string>" ], "derivedRevenue": 123, "derivedOrders": 123, "extraMergeFieldsInUse": [ { "id": "<string>", "templateName": "<string>", "displayName": "<string>", "staticValue": "<string>" } ], "usePointOfContactSender": true, "senderProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } }
Get a tenant automation by id
Documentation IndexFetch the complete documentation index at: https://docs.embedreach.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.embedreach.com/llms.txt
Use this file to discover all available pages before exploring further.
If using a platform scoped JWT, you can pass in a header to impersonate a specific tenant to impersonate the request as.
The id of the automation
Status 200 response
Show child attributes